
From: Trond Myklebust <trond.myklebust@fys.uio.no>

Currently we fail to clear the "invalid cache" flag when we've revalidated
the cache.

Signed-off-by: Trond Myklebust <Trond.Myklebust@netapp.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfs/dir.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/nfs/dir.c~nfs-fix-typo-in-access-caching-code fs/nfs/dir.c
--- 25/fs/nfs/dir.c~nfs-fix-typo-in-access-caching-code	2005-03-30 18:00:28.000000000 -0800
+++ 25-akpm/fs/nfs/dir.c	2005-03-30 18:00:28.000000000 -0800
@@ -1472,8 +1472,8 @@ void nfs_access_add_cache(struct inode *
 		if (cache->cred)
 			put_rpccred(cache->cred);
 		cache->cred = get_rpccred(set->cred);
-		NFS_FLAGS(inode) &= ~NFS_INO_INVALID_ACCESS;
 	}
+	NFS_FLAGS(inode) &= ~NFS_INO_INVALID_ACCESS;
 	cache->jiffies = set->jiffies;
 	cache->mask = set->mask;
 }
_
